/**
 * @file Audio.h
 * 
 * This module contains all audio I/O routines.
 * Note, for the sake of simplicity, we did not use 
 * streaming APIs.
 */


#ifndef Audio_h
#define Audio_h

#include <LVSpeechPort.h>


#pragma once

#define RECTIME 3

#define SAMPLES_RATE_HZ	16000

#define SAMPLE_SIZE_BYTES 2

#define IN_BUFFER_SIZE RECTIME * SAMPLES_RATE_HZ * SAMPLE_SIZE_BYTES

#define NUM_BUFFERS 2

#define MM_SOUND_FORMAT WAVE_FORMAT_PCM

#define FILEPATH 256

/**
 * \if AUDIO_H
 */
int StartRecord();

const char* GetAudio(int* iSize, bool *RecordingStatus);

SOUND_FORMAT GetSoundFormat();
/**
 * \endif
 */

#endif //Audio_h
